
body {
  --background-color: black;
  
  --panel-background-color: #686671;
  --panel-background-gradient: linear-gradient(0deg,#63687D 0px, #3D384F 128px);
  --panel-shadow-depth: 4px;
  --panel-shadow-color: #323232;
  
  --font-emphasized: Courier;
  
  cursor: url("img/cursor.png"), auto;
  
  background-color: var(--background-color);
  color: white;
  text-shadow: 1px 1px blue;
  font-family: "Verdana";
  font-size: 14px;
  
  align-items: center;
  
  margin: 0px;
}
a:hover {
  cursor: url("img/cursor_point.png"), auto;
}
h1 {
  background-image: linear-gradient(0deg,#000000FF 0%, #00000000 100%);
}
h2 {
  margin-bottom: 2px;
}
ul {
  padding-left: 1em;
}
main {
  width: 100%;
  max-width: 940px;
  display: grid;
  gap: calc(4px + var(--panel-shadow-depth));
  grid-template-columns: 1fr;
}

.austin {
  color: lime;
  text-shadow: 2px 2px blue;
  font-weight: bold;
  font-size: 1.3em;
}

/* FLEX BOXES */
.flex-ver {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--panel-shadow-depth);
}.flex-hor {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: var(--panel-shadow-depth);
}
.clamp-left, .split, .clamp-right {
  display: grid;
  gap: calc(10px + var(--panel-shadow-depth));
}
.clamp-left { grid-template-columns: max-content auto; }
.clamp-right { grid-template-columns: auto max-content; }
.split { grid-template-columns: auto auto; }

/* IMAGES */
.icon {
  width: 16px;
  height: 16px;
  filter: drop-shadow(1px 1px 0px black);
  margin-right: 0.3em;
}
.thumb {
  width: 100px;
  height: 100px;
  border-style: solid;
  border-color: black;
  border-width: 1px;
  margin-right: 0.5em;
}

/* OUT LINKS */
a.outlink {
  display: block;
  width: 100%;
  margin: 5px 0;
  padding: 4px;
  
  border-radius: 5px;
  box-shadow: 1px 1px #FFFFFF80, -1px -1px #00000080;
  
  color: white;
  font-weight: bold;
  font-size: 1.5em;
  font-family: var(--font-emphasized);
  text-decoration: none;
  background-color: #323232;
}
a:hover.outlink {
  color: #FFC462 !important;
}

/* PANELS */
.panel {
  background-color: var(--panel-background-color);
  background-image: var(--panel-background-gradient);
  box-shadow: var(--panel-shadow-depth) var(--panel-shadow-depth) var(--panel-shadow-color);
  
  margin-bottom: var(--panel-shadow-depth);
  padding: 5px 15px;
  
  color: white;
  text-shadow: 0px 1px black;
}
.panel p {
  padding: 7px;
  margin: 7px;
}
.panel a {
  color: white;
  font-weight: bold;
}
.panel a:hover {
  color: #99F2F1;
}

/* HEADER & FOOTER */
header, footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-width: 100%;
  background-color: var(--background-color);
  padding-top: 11px;
}
header {
  position: sticky;
  top: 0px;
}
footer {
  position: fixed;
  bottom: 0px;
}
.copyright {
  padding: 0px;
  margin: 4px 20px;
  font-family: var(--font-emphasized);
  font-size: 14px;
}

/* TITLE */
.title {
  text-align: center;
  margin: 0px;
  font-family: var(--font-emphasized);
  font-size: 80px;
  color: black;
}
#img_logo_hover {
  display: none;
}
#logo:hover #img_logo {
  display: none;
}
#logo:hover #img_logo_hover {
  display: inline;
}

/* NAVBAR */
.navbar {
  margin-bottom: 4px;
}
.navbar a {
  font-family: var(--font-emphasized);
  color: lime;
}
.navbar a:hover {
  color: orange;
}

/* LOST */
.lost {
  width: 100%;
  height: 500px;
  
  display: flex;
  justify-content: center;
  align-items: center;
  
  color: white;
  font-family: "Comic Sans MS";
  font-size: 2em;
  text-shadow: 0;
}